# Change Log

## [Unreleased](https://github.com/Mozharovsky/CVCalendar/tree/HEAD)

[Full Changelog](https://github.com/Mozharovsky/CVCalendar/compare/1.1.0...HEAD)

**Implemented enhancements:**

- Calendar Graphing [\#61](https://github.com/Mozharovsky/CVCalendar/issues/61)

- Selected date gone after swiping two months forwards  and back. [\#37](https://github.com/Mozharovsky/CVCalendar/issues/37)

- Init CVCalendar with a specific day in current month [\#30](https://github.com/Mozharovsky/CVCalendar/issues/30)

**Fixed bugs:**

- Latest version not working without autolayout? [\#72](https://github.com/Mozharovsky/CVCalendar/issues/72)

- Navigating between months quickly causes program to crash [\#57](https://github.com/Mozharovsky/CVCalendar/issues/57)

- Current calendar date does not update when date changes.  [\#51](https://github.com/Mozharovsky/CVCalendar/issues/51)

- Current day highlighted text overlay bug.  [\#48](https://github.com/Mozharovsky/CVCalendar/issues/48)

- CVCalendarView doesn't load on when Simulated Metric == iPhone 4-inch [\#46](https://github.com/Mozharovsky/CVCalendar/issues/46)

- Cannot get date on didSelectDayView [\#41](https://github.com/Mozharovsky/CVCalendar/issues/41)

- Appearance Doesn't update for the next and previous months [\#34](https://github.com/Mozharovsky/CVCalendar/issues/34)

- Labels for all the dates repeatedly getting darker with each frame update on viewDidAppear on projects with uitabbarcontrollers [\#31](https://github.com/Mozharovsky/CVCalendar/issues/31)

- Returning to CVCalendar with a selected date renders day label incorrectly [\#22](https://github.com/Mozharovsky/CVCalendar/issues/22)

- Calling didSelectDayView immediately on load [\#18](https://github.com/Mozharovsky/CVCalendar/issues/18)

**Closed issues:**

- Make calendar resize without using a height constraint [\#76](https://github.com/Mozharovsky/CVCalendar/issues/76)

- How do I pre-select a date in the calendar? [\#73](https://github.com/Mozharovsky/CVCalendar/issues/73)

- Not displaying all dates for month [\#65](https://github.com/Mozharovsky/CVCalendar/issues/65)

- Changing Month Label [\#60](https://github.com/Mozharovsky/CVCalendar/issues/60)

- Dotmarker pops on top of day when switching to another month when the standard selected day has a dot programmed on it [\#59](https://github.com/Mozharovsky/CVCalendar/issues/59)

- nil data for calendarDayViews once the month is scrolled past the buffer. [\#58](https://github.com/Mozharovsky/CVCalendar/issues/58)

- Ability to jump to any month [\#56](https://github.com/Mozharovsky/CVCalendar/issues/56)

- Must call a designated initializer of the superclass 'UIViewController' [\#53](https://github.com/Mozharovsky/CVCalendar/issues/53)

- Initializer does not override a designated initializer from its superclass [\#52](https://github.com/Mozharovsky/CVCalendar/issues/52)

- Scrolling into the past [\#39](https://github.com/Mozharovsky/CVCalendar/issues/39)

- Can not view MonthView mode [\#38](https://github.com/Mozharovsky/CVCalendar/issues/38)

- i want to add some event for dates ?  [\#26](https://github.com/Mozharovsky/CVCalendar/issues/26)

**Merged pull requests:**

- Added Sup delegate methods [\#64](https://github.com/Mozharovsky/CVCalendar/pull/64) ([Trifusion](https://github.com/Trifusion))

## [1.1.0](https://github.com/Mozharovsky/CVCalendar/tree/1.1.0) (2015-04-15)

[Full Changelog](https://github.com/Mozharovsky/CVCalendar/compare/1.0.8...1.1.0)

**Implemented enhancements:**

- Showing 1 week [\#13](https://github.com/Mozharovsky/CVCalendar/issues/13)

**Fixed bugs:**

- Calendar not working properly [\#45](https://github.com/Mozharovsky/CVCalendar/issues/45)

**Closed issues:**

- iOS 8.3  [\#40](https://github.com/Mozharovsky/CVCalendar/issues/40)

- CocoaPods integration [\#25](https://github.com/Mozharovsky/CVCalendar/issues/25)

- CalendarMode [\#24](https://github.com/Mozharovsky/CVCalendar/issues/24)

- Month update, event dot update [\#14](https://github.com/Mozharovsky/CVCalendar/issues/14)

## [1.0.8](https://github.com/Mozharovsky/CVCalendar/tree/1.0.8) (2015-01-29)

[Full Changelog](https://github.com/Mozharovsky/CVCalendar/compare/1.0.6...1.0.8)

**Fixed bugs:**

- Can't run on iPhone 4 \(7.1.2\)  [\#7](https://github.com/Mozharovsky/CVCalendar/issues/7)

**Closed issues:**

- Change selected date when toggleMonthViewWithDate is called [\#11](https://github.com/Mozharovsky/CVCalendar/issues/11)

- Day animations stopped working [\#10](https://github.com/Mozharovsky/CVCalendar/issues/10)

**Merged pull requests:**

- Single Week View Mode [\#16](https://github.com/Mozharovsky/CVCalendar/pull/16) ([Mozharovsky](https://github.com/Mozharovsky))

- Update CVCalendarViewAppearance.swift [\#15](https://github.com/Mozharovsky/CVCalendar/pull/15) ([marcpages](https://github.com/marcpages))

## [1.0.6](https://github.com/Mozharovsky/CVCalendar/tree/1.0.6) (2015-01-18)

[Full Changelog](https://github.com/Mozharovsky/CVCalendar/compare/1.0.5...1.0.6)

## [1.0.5](https://github.com/Mozharovsky/CVCalendar/tree/1.0.5) (2015-01-17)

[Full Changelog](https://github.com/Mozharovsky/CVCalendar/compare/1.0.2...1.0.5)

**Fixed bugs:**

- Demo - showing days our toggle not working [\#9](https://github.com/Mozharovsky/CVCalendar/issues/9)

**Merged pull requests:**

- Changing starter weekday [\#8](https://github.com/Mozharovsky/CVCalendar/pull/8) ([Mozharovsky](https://github.com/Mozharovsky))

## [1.0.2](https://github.com/Mozharovsky/CVCalendar/tree/1.0.2) (2015-01-05)

[Full Changelog](https://github.com/Mozharovsky/CVCalendar/compare/1.0.1...1.0.2)

## [1.0.1](https://github.com/Mozharovsky/CVCalendar/tree/1.0.1) (2015-01-03)

[Full Changelog](https://github.com/Mozharovsky/CVCalendar/compare/1.0.0...1.0.1)

## [1.0.0](https://github.com/Mozharovsky/CVCalendar/tree/1.0.0) (2015-01-03)

**Implemented enhancements:**

- Month View Toggling [\#5](https://github.com/Mozharovsky/CVCalendar/issues/5)

- Month loading [\#2](https://github.com/Mozharovsky/CVCalendar/issues/2)

- Selection animation [\#1](https://github.com/Mozharovsky/CVCalendar/issues/1)

**Fixed bugs:**

- Month View segue [\#4](https://github.com/Mozharovsky/CVCalendar/issues/4)

- Segue on selecting days out [\#3](https://github.com/Mozharovsky/CVCalendar/issues/3)



\* *This Change Log was automatically generated by [github_changelog_generator](https://github.com/skywinder/Github-Changelog-Generator)*